nix3-nar(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix nar - create or inspect NAR files

Synopsis
nix nar [option…] subcommand

where subcommand is one of the following:

•   nix nar cat (./nix3-nar-cat.md) - print the contents of a file inside a NAR file on stdout

•   nix nar dump-path (./nix3-nar-dump-path.md) - serialise a path to stdout in NAR format

•   nix nar ls (./nix3-nar-ls.md) - show information about a path inside a NAR file

Description
nix nar provides several subcommands for creating and inspecting Nix Archives (NARs).

File format
For the definition of the NAR file format, see Figure 5.2 in https://edolstra.github.io/pubs/phd-thesis.pdf.